#import <Cocoa/Cocoa.h>
#import "RGraphicsDevice.h"

//Implements a CGLayer-based graphics device that doesn't need
//any external help
@interface RLayerGraphicsDevice : RGraphicsDevice {
	CGLayerRef layer;
	NSSize     size;
}

+ (RLayerGraphicsDevice*)deviceWithSize:(NSSize)aSize deviceDesc:(void*)devDesc delegate:(id)delegate;
- (id)initWithSize:(NSSize)aSize deviceDesc:(void*)dd delegate:(id)del;

- (void)drawInRect:(NSRect)rect;

@end
