//
//  BuiltInDevice.m
//  R
//
//  Created by Byron Ellis on 1/21/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import "BuiltInDevice.h"


@implementation BuiltInDevice

- (NSString *)windowNibName {
    // Implement this to return a nib to load OR implement -makeWindowControllers to manually create your controllers.
    return @"BuiltInDevice";
}

- (void)makeWindowControllers {
	ctrl = [[BuiltInDeviceController alloc] initWithWindowNibName:[self windowNibName]];
	[self addWindowController:ctrl];
}

- (NSData *)dataOfType:(NSString *)typeName error:(NSError **)outError
{
    return nil;
}

- (BOOL)readFromData:(NSData *)data ofType:(NSString *)typeName error:(NSError **)outError
{
    return YES;
}

- (void)linkWithDeviceDescription:(NSDictionary*)aDict {
	//TODO: Change to reflect true DPI
	double width  = [[aDict objectForKey:@"Width"]  doubleValue]*72.0;
	double height = [[aDict objectForKey:@"Height"] doubleValue]*72.0;
	[[ctrl window] setContentSize:NSMakeSize(width,height)];
	[ctrl setDeviceDescription:[[aDict objectForKey:@"NewDevDesc"] pointerValue]];
}

@end
